# std::initializer_list<T>::end

From cppreference.com
< cpp‎ | utility‎ | initializer list

const T* end() const noexcept; |  | (since C++11) (until C++14)
constexpr const T* end() const noexcept; |  | (since C++14)

Returns a pointer to one past the last element in the initializer list, i.e. begin() + size().

If the initializer list is empty, the values of begin() and end() are unspecified, but will be identical.

### Parameters

(none)

### Return value

a pointer to one past the last element in the initializer list

### Complexity

Constant

### See also

begin | returns a pointer to the first element (public member function)

Retrieved from "https://en.cppreference.com/mwiki/index.php?title=cpp/utility/initializer_list/end&oldid=93407"